Subject: Re: [PATCH] help: report on whether or not gettext is enabled

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 20 Jan 2026 06:47:37 +0100

On Mon, Jan 19, 2026 at 04:15:14PM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> >> Combined with the vintage of Git binary that had these help text,
> >> the fact that an "enabled" line is missing is enough clue to
> >> diagnose.
> >> ...
> >
> > One reason why I personally prefer to have enabled/disabled is that it
> > allows you to discern the following two cases:
> >
> >   - You have a modern version of Git that doesn't have gettext.
> >
> >   - You have an old version of Git that doesn't know to print
> >     information about whether or not gettext is enabled.
> 
> When you see no "gettext:" line in the report, you can tell between
> the above two cases by looking at what the first entry in the same
> report "git version --build-options" produced, which is the Git
> version, can't you?

Fair, that's possible. It still feels roundabout though as now the user
also needs to know when this feature was implemented. That's why I lean
towards just adding the info in both enabled and disabled cases: it
gives you the information unconditionally. We don't really lose anything
on our side, and the end user has an easier job to figure out whether
the feature is enabled or not.

But as I said, I don't feel strongly enough about this to request any
changes.

Thanks!

Patrick